For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a secondary zone

Returns a DNS secondary zone by given ID.

get
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
secondaryZoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
200

Successful operation.

application/json
idstring · uuidRequired

The zone ID (UUID).

Example: e74d0d15-f567-4b7b-9069-26ee1f93bae3
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
get/secondaryzones/{secondaryZoneId}
GET /secondaryzones/{secondaryZoneId} HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "e74d0d15-f567-4b7b-9069-26ee1f93bae3",
  "type": "zone",
  "href": "<RESOURCE-URI>",
  "metadata": {
    "lastModifiedDate": "2022-08-21T15:52:53Z",
    "createdDate": "2022-08-21T15:52:53Z",
    "state": "PROVISIONING",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "nameservers": [
      "nscs.ui-dns.com",
      "nscs.ui-dns.de",
      "nscs.ui-dns.org",
      "nscs.ui-dns.biz"
    ]
  },
  "properties": {
    "zoneName": "example.com",
    "description": "The hosted zone is used for example.com",
    "primaryIps": [
      "1.2.3.4",
      "5.6.7.8"
    ]
  }
}

Last updated

Was this helpful?